Unreleased documentation. These pages follow the main branch and can change before the next release. For supported guidance, use v0.43.0.
Process readiness probe
GET
/ready
const url = 'https://example.com/ready';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/readyResponses
Section titled “Responses”Process status
Media typeapplication/json
object
status
required
Example
{ "status": "ok"}Headers
Section titled “Headers”Cache-Control
string
Pragma
string
The configured request deadline elapsed
Media typeapplication/json
object
error
required
error_description
required
string
Example
{ "error": "invalid_request"}Headers
Section titled “Headers”Cache-Control
string
Pragma
string